Package org.drinkless.tdlib

# Class TdApi.InputTextQuote

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputTextQuote

Enclosing class:
  `TdApi`

public static class TdApi.InputTextQuote extends TdApi.Object
Describes manually chosen quote from another message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `position`
  Quote position in the original message in UTF-16 code units.
  `TdApi.FormattedText`
  `text`
  Text of the quote; 0-getOption("message_reply_quote_length_max") characters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputTextQuote()`
  Describes manually chosen quote from another message.
  `InputTextQuote(TdApi.FormattedText text, int position)`
  Describes manually chosen quote from another message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public TdApi.FormattedText text
    Text of the quote; 0-getOption("message_reply_quote_length_max") characters. Only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, and DateTime entities are allowed to be kept and must be kept in the quote.

  - ### position

    public int position
    Quote position in the original message in UTF-16 code units.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputTextQuote

    public InputTextQuote()
    Describes manually chosen quote from another message.

  - ### InputTextQuote

    public InputTextQuote(TdApi.FormattedText text, int position)
    Describes manually chosen quote from another message.
    Parameters:
      `text` - Text of the quote; 0-getOption("message_reply_quote_length_max") characters. Only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, and DateTime entities are allowed to be kept and must be kept in the quote.
      `position` - Quote position in the original message in UTF-16 code units.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR